# CMAP_ITER_FINALIZE

NAME
SYNOPSIS
DESCRIPTION
RETURN VALUE
SEE ALSO

## NAME

cmap_iter_finalize − Finalize iterator for keys stored in CMAP

## SYNOPSIS

#include <corosync/cmap.h>

cs_error_t cmap_iter_finalize (cmap_handle_t handle, cmap_iter_handle_t iter_handle);

## DESCRIPTION

The cmap_iter_finalize function is used to free up memory associated with iteration obtained by calling of cmap_iter_init(3) function. The handle argument is connection to CMAP database obtained by calling cmap_initialize(3) function. iter_handle argument is iterator handle obtained by cmap_iter_init(3) function.

## RETURN VALUE

This call returns the CS_OK value if successful. CS_ERR_BAD_HANDLE error is returned when iter_handle is invalid.

## SEE ALSO

cmap_iter_init(3), cmap_initialize(3), cmap_overview(8)

CS_ERR_TRY_AGAIN Resource temporarily unavailable

CS_ERR_INVALID_PARAM Invalid argument

CS_ERR_ACCESS Permission denied

CS_ERR_LIBRARY The connection failed

CS_ERR_INTERRUPT System call interrupted by a signal

CS_ERR_NOT_SUPPORTED The requested protocol/functionality not supported

CS_ERR_MESSAGE_ERROR Incorrect auth message received

CS_ERR_NO_MEMORY Not enough memory to complete the requested task